# classes/phing/types/Parameter.php

A parameter is composed of a name, type and value. Nested Parameters are also possible, but the using task/type has to support them

author
  Manuel Holtgrewe
author
  Yannick Lecaillez
package
  phing.types

## \Parameter
jump to top

A parameter is composed of a name, type and value. Nested Parameters are also possible, but the using task/type has to support them

This class handles the common description attribute and provides a default implementation for reference handling and checking for circular references that is appropriate for types that can not be nested inside elements of the same type (i.e. patternset but not path)

Extends from
  \DataType
author
  Manuel Holtgrewe
author
  Yannick Lecaillez
package
  phing.types
version
  $Revision: 526 $

### Properties

`$name= ''`

Parameter name

Details

Type

`$parameters= 'array'`

Nested parameters

Default value `array` Details

Type

`$type= ''`

Paramter type

Details

Type

`$value= ''`

Parameter value

Details

Type

### Methods

`createParam( ) : \Parameter`
Returns

Type | Description
--- | ---
\Parameter |

`getName( ) :`
`getParams( ) : array`
Returns

Type | Description
--- | ---
array |

`getType( ) :`
`getValue( ) :`
`setListeningValue( \RegisterSlot $value ) :`
Sets value to dynamic register slot.
Parameters

Name | Type | Description
--- | --- | ---
$value | \RegisterSlot |

`setName( $name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$name |  |

`setType( $type ) :`
Parameters

Name | Type | Description
--- | --- | ---
$type |  |

`setValue( $value ) :`
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

Documentation was generated by DocBlox 0.13.1.